# Types — MathJS 0.0.1 documentation

### Navigation

- index
- next |
- previous |
- MathJS 0.0.1 documentation »

# Types

## Matrix

Creates a new matrix.

class `Matrix`(r, c)

  Arguments:

  - r (number) – row dimension
  - c (number) – column dimension

class `Matrix`(values)

  Arguments:

  - values (Array) – an array of lists containing initial values, one for each matrix row

## Vector

Creates a new column vector. A vector is represented by a single-column Matrix.

class `Vector`(d)

  Arguments:

  - d (number) – dimension

class `Vector`(values)

  Arguments:

  - values (Array) – an array of initial values

## Transform

Creates a new affine transform Matrix. A transform is represented by a `d+1` square Matrix.

class `Transform`(d)

  Arguments:

  - d (number) – dimension

## Quaternion

Creates a new quaternion. A quaternion is represented by a 4-dimensional Vector.

class `Quaternion`()

class `Quaternion`(values)

  Arguments:

  - values (Array) – an array of initial values

## Frustum

Creates a new frustum.

class `Frustum`(left, right, bottom, top, near, far)

## Perspective

Creates a new perspective projection matrix.

class `Perspective`(fovy, aspect, near, far)

## Orthographic

Creates a new orthographic projection matrix.

class `Orthographic`(left, right, bottom, top, near, far)

## LookAt

Creates a new look-at matrix.

class `LookAt`(eye, center, up)

### Navigation

- index
- next |
- previous |
- MathJS 0.0.1 documentation »